%define upstream_name       Email-Stuffer
%define upstream_version 0.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    A more casual approach to creating and sending Email:: emails
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Email::MIME) >= 1.943.0
BuildRequires: perl(Email::MIME::Creator)
BuildRequires: perl(Email::Sender::Simple)
BuildRequires: perl(Email::Sender::Transport::Test) >= 0.120.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Params::Util) >= 1.50.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Email::Stuffer, as its name suggests, is a fairly casual module used to stuff
things into an email and send them. It is a high-level module designed for ease
of use when doing a very specific common task, but implemented on top of the
light and tolerable Email:: modules.

Email::Stuffer is typically used to build emails and send them in a single
statement, as seen in the synopsis. And it is certain only for use when
creating and sending emails. As such, it contains no email parsing capability,
and little to no modification support.

To re-iterate, this is very much a module for those "slap it together and fire
it off" situations, but that still has enough grunt behind the scenes to do
things properly.
easy to use, and easy to extend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.20.0-2.mga10
+ Revision: 2217446
- Mageia 10 Mass Rebuild

* Mon Jan 16 2023 tv <tv> 0.20.0-1.mga9
+ Revision: 1933768
- update to 0.020

* Wed Jan 11 2023 tv <tv> 0.19.0-1.mga9
+ Revision: 1932294
- update to 0.019

* Mon Mar 21 2022 umeabot <umeabot> 0.18.0-2.mga9
+ Revision: 1812855
- Mageia 9 Mass Rebuild

* Sun Jul 05 2020 tv <tv> 0.18.0-1.mga8
+ Revision: 1602093
- update to 0.018

* Tue Jun 30 2020 tv <tv> 0.17.0-4.mga8
+ Revision: 1600720
- fix build due to changes in Email::MIME 1.949 (rhbz#1843862)

* Wed Feb 12 2020 umeabot <umeabot> 0.17.0-3.mga8
+ Revision: 1504379
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.17.0-2.mga7
+ Revision: 1283625
- Mageia 7 Mass Rebuild

* Sun Mar 11 2018 guillomovitch <guillomovitch> 0.17.0-1.mga7
+ Revision: 1208123
- new version 0.017

* Mon Oct 02 2017 tv <tv> 0.16.0-2.mga7
+ Revision: 1164290
- rebuild with fixed rpm for missing autodeps

* Sun Sep 10 2017 guillomovitch <guillomovitch> 0.16.0-1.mga7
+ Revision: 1152539
- imported package perl-Email-Stuffer

